2025.46 Public API / SDK Changes

1 min read

Public API

🚀 What’s New

tech OpenAI Proxy Upload/Download - We’ve added support for file uploads and downloads through the OpenAI Proxy. This enables use cases like code execution and other workflows that require sending files to the API and receiving binary outputs.

The endpoint supports exactly what OpenAI supports. For request/response formats, parameters, and usage examples, please refer to the official OpenAI documentation.

New Endpoints

tech GET Get LLMs - API to get available LLMs.

Query Params

  • module optional, allows retrieving the models for a specific model. Right now, the support module is UNIQUE_AI.

Example

curl --location --request GET 'https://api.uat1.unique.app/public/chat/openai/models?module=UNIQUE_AI' \
--header 'x-user-id: <user-id>' \
--header 'x-company-id: <company-id>' \
--header 'Authorization: Bearer <api-key>' \
--header 'x-app-id: <app-id>' \
--header 'x-api-version: 2023-12-06' \
--header 'Content-Type: application/json' \
--data ''

🔧 Improvements

tech We’ve improved the Model Usage Feature to always capture and persist userId, chatId and assistantId. This ensures an accurate overview of model usage analytics..

SDK

🚀 What’s New

tech Get LLMs -Get available LLM models. You can optionally filter by module - the module currently supported is UNIQUE_AI.

Example

models = unique_sdk.LLMModels.get(
    user_id=user_id,
    company_id=company_id,
    module="UNIQUE_AI",  # Optional - filter models by module, only UNIQUE_AI is supported right now
)

 


Author

Last updated